One audit entry with before/after values, IP, user agent and request id
GET
/api/v1/workspaces/{workspace}/audit/events/{eventId}
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/audit/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/audit/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/audit/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Permission: audit:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
eventId
required
string format: uuid
Responses
Section titled “Responses”OK
Media typeapplication/json
object
after
before
client
string
diff
required
Array<object>
object
kind
required
string
text
required
string
event
required
object
action
required
string
actor
required
object
avatarColor
string
id
string
label
required
string
name
required
string
role
string
type
required
string
changes
required
boolean
id
required
string
occurredAt
required
string format: date-time
reason
string
requestId
string
result
required
string
source
required
object
channel
required
string
detail
string
summary
required
string
target
required
string
targetId
required
string
targetName
required
string
targetType
required
string
ip
string
json
required
link
string
linkLabel
string
permission
string
related
required
Array<string>
restore
object
id
required
string
kind
required
string
name
required
string
until
required
string format: date-time
userAgent
string
what
required
string
workspace
required
string
Example
{ "diff": [ { "kind": "same" } ], "event": { "actor": { "type": "user" }, "result": "allowed" }, "restore": { "kind": "list" }}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}